# BEGIN SourceDeps(oneline):
BuildRequires: perl(Glib/Object/Subclass.pm) perl(XSLoader.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-Cairo-devel
Name:           perl-Cairo-GObject
Version:        1.001
Release:        alt1_4
Summary:        Cairo::GObject Perl module
License:        LGPLv2+
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Cairo-GObject/
Source0:        http://www.cpan.org/modules/by-module/Glib/TSCH/Cairo-GObject-%{version}.tar.gz
BuildRequires:  perl(Cairo.pm)
BuildRequires:  perl(ExtUtils/Depends.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/PkgConfig.pm)
BuildRequires:  perl(Glib.pm)
BuildRequires:  perl(Glib/MakeHelper.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  libcairo-gobject-devel
Requires:       perl(Cairo.pm) >= 1.080
Requires:       perl(Glib.pm) >= 1.224




Source44: import.info
%filter_from_requires /^^perl\\(Cairo\\)$/d
%filter_from_requires /^^perl\\(Glib\\)$/d

%description
Perl module to integrate Cairo into the Glib type system.

%prep
%setup -q -n Cairo-GObject-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc LICENSE NEWS README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Cairo*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.001-alt1_4
- update to new release by fcimport

* Thu Dec 13 2012 Igor Vlasenko <viy@altlinux.ru> 1.001-alt1_3
- update to new release by fcimport

